package com.huijy.management.service;

import java.util.List;
import com.huijy.management.domain.MemberHelp;

/**
 * 求助记录Service接口
 * 
 * @author luobo
 * @date 2021-09-12
 */
public interface IMemberHelpService 
{
    /**
     * 查询求助记录
     * 
     * @param memberHelpId 求助记录主键
     * @return 求助记录
     */
    public MemberHelp selectMemberHelpByMemberHelpId(Long memberHelpId);

    /**
     * 查询求助记录列表
     * 
     * @param memberHelp 求助记录
     * @return 求助记录集合
     */
    public List<MemberHelp> selectMemberHelpList(MemberHelp memberHelp);

    /**
     * 新增求助记录
     * 
     * @param memberHelp 求助记录
     * @return 结果
     */
    public int insertMemberHelp(MemberHelp memberHelp);

    /**
     * 修改求助记录
     * 
     * @param memberHelp 求助记录
     * @return 结果
     */
    public int updateMemberHelp(MemberHelp memberHelp);

    /**
     * 批量删除求助记录
     * 
     * @param memberHelpIds 需要删除的求助记录主键集合
     * @return 结果
     */
    public int deleteMemberHelpByMemberHelpIds(Long[] memberHelpIds);

    /**
     * 删除求助记录信息
     * 
     * @param memberHelpId 求助记录主键
     * @return 结果
     */
    public int deleteMemberHelpByMemberHelpId(Long memberHelpId);
}
